#pragma once

/*************************************************

Copyright:

Author:李宇哲

Date:2021-04-12

Description:构造标准语言输入数据的类

**************************************************/
#include <iostream>
#include <vector>
#include <string>
#include <map>
#include "SConfig.h"

U_NS_BEGIN_SH_LANGUAGE


class SH_CROSS_PLATFORM_API SHFileInfo
{
public:
	 SHFileInfo(const std::string& name,std::vector<int>& vec,const char* data,int dataSize);
	 SHFileInfo(const std::string& name, std::vector<int>& vec,const std::string& str);
	virtual ~SHFileInfo();

	const std::string& getName();
	std::vector<int>& getNoVec();
	const char* getData();
	int getDataSize();

private:
	U_SH_DISABLE_COPY(SHFileInfo)

	class SHFileInfoPrivate;
	SHFileInfoPrivate* m_private;

};


U_NS_END_SH_LANGUAGE